ISRUNE(3)

NAME
isrune, isrune_l - valid character test

LIBRARY
libc

SYNOPSIS
#include <ctype.h>
int
isrune(int c);
int
isrune_l(int c, locale_t loc);

DESCRIPTION
The isrune() and isrune_l() functions test for any character that is valid in the current character set. In the ASCII character set, this is equivalent to isascii().

The isrune_l() function takes an explicit locale argument, whereas the isrune() function uses the current global or per-thread locale.

RETURN VALUES
The isrune() and isrune_l() functions return zero if the character tests false and return non-zero if the character tests true.

COMPATIBILITY
The 4.4BSD extension of accepting arguments outside of the range of the unsigned char type in locales with large character sets is considered obsolete and may not be supported in future releases. The iswrune() or iswrune_l() function should be used instead.

SEE ALSO
ctype(3), ctype_l(3), isascii(3), iswrune(3), iswrune_l(3), xlocale(3), ascii(7)

HISTORY
The isrune() function appeared in 4.4BSD.